commit a9b70e4c95c8881520b789c76169e5f8a7f385cc
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Thu Jul 3 20:02:43 2025

    Ada: Remove left-overs of front-end exception mechanism
    
    It was removed from the compiler a few releases ago.
    
    gcc/ada/
            * gcc-interface/Makefile.in (gnatlib-sjlj): Delete.
            (gnatlib-zcx): Do not modify Frontend_Exceptions constant.
            * libgnat/system-linux-loongarch.ads (Frontend_Exceptions): Delete.

diff --git a/gcc/ada/libgnat/system-linux-loongarch.ads b/gcc/ada/libgnat/system-linux-loongarch.ads
index d44724df305..79269d20839 100644
--- a/gcc/ada/libgnat/system-linux-loongarch.ads
+++ b/gcc/ada/libgnat/system-linux-loongarch.ads
@@ -139,7 +139,6 @@ private
    Always_Compatible_Rep     : constant Boolean := False;
    Suppress_Standard_Library : constant Boolean := False;
    Use_Ada_Main_Program_Name : constant Boolean := False;
-   Frontend_Exceptions       : constant Boolean := False;
    ZCX_By_Default            : constant Boolean := True;
 
 end System;

